GNU bug report logs - #30632
26.0.91; python sending code to shell should show the code sent

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Alex Branham <alex.branham@HIDDEN>; merged with #29592; dated Tue, 27 Feb 2018 18:06:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 29592 30632. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30632 <at> debbugs.gnu.org:


Received: (at 30632) by debbugs.gnu.org; 27 Feb 2018 23:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 27 18:43:11 2018
Received: from localhost ([127.0.0.1]:36152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqotr-00062T-0a
	for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 18:43:11 -0500
Received: from mail-it0-f51.google.com ([209.85.214.51]:35836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1eqoto-00062A-QW; Tue, 27 Feb 2018 18:43:09 -0500
Received: by mail-it0-f51.google.com with SMTP id v194so1315882itb.0;
 Tue, 27 Feb 2018 15:43:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ga7nCmOV/sJF3bf3ZcksUdHl6JSHkZTg4l4ry3frKWs=;
 b=H+Gl/u/wmqRNfFCz6xJmyZdMRG6/8XClXwOICsm/blbu9EViQgNfxmPe1SOU0OBV9f
 go6/i+dHySEWmOZqDHaaZRzUFyLl9LLp1Zzn/XW3vcSuIR1q5CiZsUt6PceTdL66a9t/
 VXnTMLTNk7A/uvppI6pS2HJqMlCQd1NTOiyjG4wcuWjPYkFDfUg0JfkHhOrYEJKsFuwV
 8iS1van8p5TmFqr7xYG2MMYUBt0h7NVLitJJ0l8c0knGkMLX+ujlHRHw08z/Z15hPYlk
 HXX2bNyTphCMiyUO1U+jOnGxcRMeIIu0tyne0h3MuMoCuXhd1UA4pNc18s8NLTIPu54A
 DOGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ga7nCmOV/sJF3bf3ZcksUdHl6JSHkZTg4l4ry3frKWs=;
 b=hK1lv3i8++wF6ygXugV/Hk1ePrthFDPcy2OLkpS7XIWkCrRNzkqw9cpy/XZffd3MCe
 MzznWKVC7ALI/rkbU9lob29qO3t3I5vMi+VAuVDeBX0SeRbYF0lTRRnwQlcAKK4DolDP
 3+V3GRD6+f6knsBFp2C3zAeTpiCidqgkIMKMixmeEIwFVsHeIGaTFvi2T66BGjqVhYtj
 K+Va/9gsPrO8s0VI7u/xWkX8GlB4N1zo6FpAioDv+KjJwpN858t0Da8zROxy+7DIGGDf
 FEXaZ0aJJf+emwbP6WJlTDNz37r9TW5YAmzwVv7D1w0BExw295dLTZ1N9UxYbD6vZNI3
 RiNQ==
X-Gm-Message-State: APf1xPAazolAWtz61rcLMWyT4vQPHp0rgM6bJ0RPMirfM1/TuneiCcgn
 mHi5qgxnFaUvt5uQAMjsfkMRlA==
X-Google-Smtp-Source: AG47ELs1yiJAIo0sUDPO9o+sNW8w4F3CxngF4vkykUg6ciaYl81CpWdFghNHP2ZxKadpRqN9FEYozw==
X-Received: by 10.36.40.83 with SMTP id h80mr17956569ith.125.1519774983055;
 Tue, 27 Feb 2018 15:43:03 -0800 (PST)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 w37sm228428ioi.1.2018.02.27.15.43.01
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 27 Feb 2018 15:43:02 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Alex Branham <alex.branham@HIDDEN>
Subject: Re: bug#30632: 26.0.91;
 python sending code to shell should show the code sent
References: <87606ifgvz.fsf@HIDDEN>
 <CAM-tV-8E8RDiEzqPbyyg7xOSez3psSA3nw-=vme24=_5geA_Jg@HIDDEN>
 <87371mf7m6.fsf@HIDDEN>
Date: Tue, 27 Feb 2018 18:43:01 -0500
In-Reply-To: <87371mf7m6.fsf@HIDDEN> (Alex Branham's message of "Tue, 27
 Feb 2018 15:25:05 -0600")
Message-ID: <87r2p63soq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30632
Cc: 30632 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

merge 30632 29592
quit

Alex Branham <alex.branham@HIDDEN> writes:

>> Is this different from Bug#29592 "python does not print input or
>> output in the inferior process"?
>
> No, it's not. I couldn't sworn that I reported this before but couldn't
> find the report. Sorry for the noise, you can close this.

No problem, merging.

PS the bug searching options aren't great, but I find doing a title
search with the main topic keyword is usually enough to narrow things
down.  E.g., "python" in this case (though you'll see only the newer bug
in the listing after they've merged):

https://debbugs.gnu.org/cgi/pkgreport.cgi?package=emacs;include=subject%3Apython




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30632; Package emacs. Full text available.

Message received at 30632 <at> debbugs.gnu.org:


Received: (at 30632) by debbugs.gnu.org; 27 Feb 2018 21:25:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 27 16:25:16 2018
Received: from localhost ([127.0.0.1]:36028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqmkO-0000uw-Fn
	for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 16:25:16 -0500
Received: from mail-ot0-f180.google.com ([74.125.82.180]:40011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.branham@HIDDEN>) id 1eqmkM-0000uj-93
 for 30632 <at> debbugs.gnu.org; Tue, 27 Feb 2018 16:25:14 -0500
Received: by mail-ot0-f180.google.com with SMTP id l12so274030otj.7
 for <30632 <at> debbugs.gnu.org>; Tue, 27 Feb 2018 13:25:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=K5F9YgrMzXd6IiNgbOqK3CcJ+O5bRnb8ieJzZkYHom0=;
 b=pwyJVe+2CFDOqdlpm/b5p+jJcvqe9icAv9kZ+tWTU8JmSzk5cVVuKpDqSWO3eCSXit
 MCLOYxbuVbGQTd+fiRu+FJIbmorw9hWxe6unFFvkd2Y//v6tip3y/XsheTGN0/zA+i0r
 EPN6I7c58lNmbC9DoYKMZKF31NA9hGzsGlyU9fG/lCNpAi0oS4lP+BygokebMj1zGzEc
 QqTEPRSbzo6x0+sjr+FAXW/njVv8AzMa8ucTiq0Ag7gn1vz7101WQcPpL3IfIE3qe9XZ
 UYm8AM3AfWnk5Bru50RrNQhhPB6Lg5oLI2CNS/2tAT2p2rF2YlmD5L19xvPwxzsOF8fv
 mQJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=K5F9YgrMzXd6IiNgbOqK3CcJ+O5bRnb8ieJzZkYHom0=;
 b=UXCvvR+ZLvn0+RB124LDhghxGQUVxVgmh4dWqtkkvy8iQFOI0RPNno8iMlcLW24McE
 uEu/aXxGRAoBiR44wyZPYE/02WVbvVCWL4VMn6/iq+YPsZUTgcudTr+/uGJYocZBwIrc
 hF2DKTA5vPhHICc14QHVD2res7R0pP4jzJw1Bac1jgaU0Sq3l7/SVLMOVkI4fd+PEMri
 tV1pDrZedWqNszQ/4JQQ+Mh2D/HZrcwYcAeio0uK9je5gkaBzLaFI7GD9Gebt5BCtcvh
 /nVz2bh4MN6J1NDi6snT2A+W1qSaYOqNle23V6X++S2lwfnSIoo/W+V9bplUQcL7jZpq
 XMQw==
X-Gm-Message-State: APf1xPAEk8XO0/wbfdqPhj5dhX/l3Jut1ejiUFBssyRlUo2U3g4YiqBv
 WOTiOwXC/Ss450dbUBGhyJFoZQt4
X-Google-Smtp-Source: AG47ELvyqz2IOisUmJNdMVXjUV7Vyq8MvYJgteIw3FjvtubtJggj8CMXG0Kw2TURaqcb21UaGkgeYg==
X-Received: by 10.157.68.74 with SMTP id f10mr11075292otj.359.1519766708572;
 Tue, 27 Feb 2018 13:25:08 -0800 (PST)
Received: from earth (cpe-70-114-192-208.austin.res.rr.com. [70.114.192.208])
 by smtp.gmail.com with ESMTPSA id c3sm69502otk.8.2018.02.27.13.25.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 27 Feb 2018 13:25:07 -0800 (PST)
References: <87606ifgvz.fsf@HIDDEN>
 <CAM-tV-8E8RDiEzqPbyyg7xOSez3psSA3nw-=vme24=_5geA_Jg@HIDDEN>
User-agent: mu4e 1.0; emacs 26.0.91
From: Alex Branham <alex.branham@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#30632: 26.0.91;
 python sending code to shell should show the code sent
In-reply-to: <CAM-tV-8E8RDiEzqPbyyg7xOSez3psSA3nw-=vme24=_5geA_Jg@HIDDEN>
Date: Tue, 27 Feb 2018 15:25:05 -0600
Message-ID: <87371mf7m6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30632
Cc: 30632 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


On Tue 27 Feb 2018 at 15:23, Noam Postavsky <npostavs@HIDDEN> wrote:

> On Tue, Feb 27, 2018 at 1:04 PM, Alex Branham <alex.branham@HIDDEN> wrote:
>
>> Starting an inferior process (C-c C-p) and running C-x h M-x
>> python-shell-send-region should result in an inferior buffer that looks
>> something like this:
>>
>> Python 3.6.4 (default, Jan  5 2018, 02:35:40)
>> [GCC 7.2.1 20171224] on linux
>> Type "help", "copyright", "credits" or "license" for more information.
>>>>> [1, 2, 3, 4, 5]
>> [1, 2, 3, 4, 5]
>>>>>
>
> Is this different from Bug#29592 "python does not print input or
> output in the inferior process"?

No, it's not. I couldn't sworn that I reported this before but couldn't
find the report. Sorry for the noise, you can close this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30632; Package emacs. Full text available.

Message received at 30632 <at> debbugs.gnu.org:


Received: (at 30632) by debbugs.gnu.org; 27 Feb 2018 21:23:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 27 16:23:13 2018
Received: from localhost ([127.0.0.1]:36010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqmiP-0000rI-EY
	for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 16:23:13 -0500
Received: from mail-ot0-f178.google.com ([74.125.82.178]:37065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1eqmiO-0000r5-3C
 for 30632 <at> debbugs.gnu.org; Tue, 27 Feb 2018 16:23:12 -0500
Received: by mail-ot0-f178.google.com with SMTP id t2so276460otj.4
 for <30632 <at> debbugs.gnu.org>; Tue, 27 Feb 2018 13:23:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=abNx0ZRZD/uvwGuesS603YhmvkYJ1lx9ozxenSHioLc=;
 b=ftkQLnH7HIb1f2t31paS+E5pMKaDR2zEsubLIMT6b+uwRa57jeRVOa6zvPcjBbzbmU
 nOke6slnSGrSow4/q6V080GFNAuEtG9hopGvNhKzUW9Bfv0TlhUqWLgnbEUB6dqVN6nm
 LktF0YLhnuJ59uA/RPqXLUZo62+Z5FuyhgCT10AwB9AiLt8vAc+gZ7/DZjiWCzc7bVnX
 dd6ZoW8cIQYFr2wVV+X9WSW/KC8k/MmqxTEKPRvk9jktclXgZX7jyCID2hPHprMm/S/y
 8jM1HzrZGZJE/O87hAE95mEMrIHCRAyvuzTmcu5T3Q9AbNif8EQ76YrDOVcPmbNpkCGm
 T8wA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=abNx0ZRZD/uvwGuesS603YhmvkYJ1lx9ozxenSHioLc=;
 b=FE7CQ3ihdMyFTJasEd/CM4SD9z+U5tguV3jti83Fd0+7NBsAzWP5117dkbUW5AI06M
 UG6wVj5oBEOrcHgiWGjCFqNhIYJ2XvrvSIubgZqokMki8u81cVo05jp0G84/oMZmrDvV
 C45lfSVT/bexVEvyOCSA3Vhm9CU8AFRzLEOvBGbVRxB8aMEG1rPz9KZbi+mk851e6ri5
 bUt1+TuocmgIIpTgL2HQVEcSuQr5RTf0dq+8LWxbZrpt824aMzwkK7IWnHoupkT7bG47
 LEgHCN1Z/Y9BF/VYQ4scOIvruH6MGBurQayDtEVKCy9QucA/lb2dQpAtB5UxyQiyhdvq
 tU8w==
X-Gm-Message-State: APf1xPBraQQsGnzMZyu6Lpo+abxDZPjyl3CwNHz0WmrUHWUgONQbGIc2
 uD5U9FHoBSSfbPv5pZ0I2NdT3bjjLfwUzmasbZs=
X-Google-Smtp-Source: AG47ELuv9qc9mcxvX6meGtXFh/cVZ6r2dSYXCWvT9QuXaalVoYyQzCKGfSCddh+IS/NSw8tngEv4P9Chjp6F6Z0s7Cw=
X-Received: by 10.157.0.152 with SMTP id w24mr11905028oti.196.1519766586569;
 Tue, 27 Feb 2018 13:23:06 -0800 (PST)
MIME-Version: 1.0
Received: by 10.74.59.65 with HTTP; Tue, 27 Feb 2018 13:23:05 -0800 (PST)
In-Reply-To: <87606ifgvz.fsf@HIDDEN>
References: <87606ifgvz.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Tue, 27 Feb 2018 16:23:06 -0500
Message-ID: <CAM-tV-8E8RDiEzqPbyyg7xOSez3psSA3nw-=vme24=_5geA_Jg@HIDDEN>
Subject: Re: bug#30632: 26.0.91; python sending code to shell should show the
 code sent
To: Alex Branham <alex.branham@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30632
Cc: 30632 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Tue, Feb 27, 2018 at 1:04 PM, Alex Branham <alex.branham@HIDDEN> wrote:

> Starting an inferior process (C-c C-p) and running C-x h M-x
> python-shell-send-region should result in an inferior buffer that looks
> something like this:
>
> Python 3.6.4 (default, Jan  5 2018, 02:35:40)
> [GCC 7.2.1 20171224] on linux
> Type "help", "copyright", "credits" or "license" for more information.
>>>> [1, 2, 3, 4, 5]
> [1, 2, 3, 4, 5]
>>>>

Is this different from Bug#29592 "python does not print input or
output in the inferior process"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30632; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Feb 2018 18:05:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 27 13:05:08 2018
Received: from localhost ([127.0.0.1]:35909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqjch-0002kf-Nk
	for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 13:05:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.branham@HIDDEN>) id 1eqjcf-0002jk-2i
 for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 13:05:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1eqjcZ-0001Ju-Al
 for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 13:05:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55880)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alex.branham@HIDDEN>)
 id 1eqjcZ-0001Jm-6v
 for submit <at> debbugs.gnu.org; Tue, 27 Feb 2018 13:04:59 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39609)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1eqjcY-00078d-2k
 for bug-gnu-emacs@HIDDEN; Tue, 27 Feb 2018 13:04:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.branham@HIDDEN>) id 1eqjcS-0001HS-Ug
 for bug-gnu-emacs@HIDDEN; Tue, 27 Feb 2018 13:04:58 -0500
Received: from mail-oi0-x22e.google.com ([2607:f8b0:4003:c06::22e]:36371)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alex.branham@HIDDEN>)
 id 1eqjcS-0001H5-O8
 for bug-gnu-emacs@HIDDEN; Tue, 27 Feb 2018 13:04:52 -0500
Received: by mail-oi0-x22e.google.com with SMTP id u73so9010434oie.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 27 Feb 2018 10:04:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=xKva0fQ1Dwcoism99IDRogAb5aU5LOGy+j280+4lJpM=;
 b=n19DQQ0KTJTVDG2ReFPGjz+RA4CLfT+q7ecUoDzcEM4WHCEGmDJrVOl6cIr4zjxbuL
 rEkil3Juj+fobFTpzzimzH3SYQ70Hm/8JVXd5GVJVJgx+6Zkbv2CM09bx0IQoZN0ON1L
 EM0pwil2UCcwtCdocvTtRS6o8GpXz4h02v17w9BpNH1sO8tvNTNia8jmxIU0L2avE0/e
 JqzJmUgPOVJft/AeV34SVPZW2zRjdLEugJNU9l12QQ7nlRjZWFVla4xKTCLRAP5Vzdwk
 H/5roupFx3DU1KgurYDfjEkmYe2Hkieuxop3A6zT8VEiiQhZQSNleWa6ExG7B0b+G6gn
 NCVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=xKva0fQ1Dwcoism99IDRogAb5aU5LOGy+j280+4lJpM=;
 b=pm2tUxxSlWEgWPaxcU93+xZczDJx6Pkkxa1IjX6euCPz7TIR4SQCU1yZXSRxQREw5C
 jddc/THF4Kb9av7wb4PlP85WUvN8c58Xgo+hZGTEcoOlakJE2YwYd0YA2ptOQFmy1Dj1
 BfkuXMHWbr3fljqiFtaY8KNatXFTatwD/rQ7w913Z4671eEAWzr0veBhOMoCnS24Fm66
 BORaxchNSoVCkSAnsUyH8qAJ1rn9CC0ig1yGJouqYupbM3jKctKW9yZNgoojOusr1dFc
 Pi37S0Bq4Pngnj8qUKgoh6KJvP4P+BbzDMufVsUc4srwiZopgbTp21cJjLaBEZBWjDgf
 H1GA==
X-Gm-Message-State: APf1xPD9LAqkYc0jZjca4pbEQW0+e4CYdnjVMkiFImxPugIOe4ZzweA+
 LdUFxG/rERkYbT35qXDLvTbGmips
X-Google-Smtp-Source: AG47ELsH3Lv30a2uGFq4TG3YrfjsCSFfhVWhYnkwhMUlYJ5K99a8dxQdvzqhN2rclsrknlZNqnS6Rw==
X-Received: by 10.202.73.209 with SMTP id w200mr9913987oia.73.1519754691704;
 Tue, 27 Feb 2018 10:04:51 -0800 (PST)
Received: from earth (cpe-70-114-192-208.austin.res.rr.com. [70.114.192.208])
 by smtp.gmail.com with ESMTPSA id
 e19sm5865127otf.55.2018.02.27.10.04.50 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 27 Feb 2018 10:04:51 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.0.91
From: Alex Branham <alex.branham@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.91; python sending code to shell should show the code sent
Date: Tue, 27 Feb 2018 12:04:48 -0600
Message-ID: <87606ifgvz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Sending code from a python buffer to an inferior python process should
show the code sent, especially when called interactively. So if I have a
python buffer:

[1, 2, 3, 4, 5]

Starting an inferior process (C-c C-p) and running C-x h M-x
python-shell-send-region should result in an inferior buffer that looks
something like this:

Python 3.6.4 (default, Jan  5 2018, 02:35:40)
[GCC 7.2.1 20171224] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> [1, 2, 3, 4, 5]
[1, 2, 3, 4, 5]
>>>




Acknowledgement sent to Alex Branham <alex.branham@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30632; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.